EET and Patch 2.5

24

Comments


  • DavidH said:
    SCS was running for 28 hours to patch EET files. But it succeeded!
    The whole other installation was done in less than 3 hours.
    A new topic http://baldursextendedworld.com/Vanilla_Forums/discussion/69
    was started to deal with possible better support for SCS installation.
  • EET work for new version (RC10) has begun as K4thos has become active again. The issues mentioned in this thread (and more) will be resolved.
    This goes as far as EET itself is concerned. Issues in other mods require a individual solutions

  • Roxanne said:
    EET work for new version (RC10) has begun as K4thos has become active again. The issues mentioned in this thread (and more) will be resolved.
    This goes as far as EET itself is concerned. Issues in other mods require a individual solutions
    K4thos back!!! That's reason to celebrate!!!
  • EET new version 1.0 RC10 has been released just now.
    I have successfully installed it with BG2EE v2.5.16 and BGEE/SoD v2.3.67.3 using the Install Tool.
    There were no errors or warnings.
    The GUI issue no longer appears when in game.
    The first post in this topic is updated respectively.

    Great work, K4thos!
  • I had the same results Roxanne. =)
  • I'm running a current 2.3 EET game and taking my time.  Is it advisable to switch to the new EET 1.0, and 2.5 patch?  Or can it just wait until I'm done?  I could just set up a new Game too with 2.5 and 1.0, as I'm not limited on space.


  • I'm running a current 2.3 EET game and taking my time.  Is it advisable to switch to the new EET 1.0, and 2.5 patch?  Or can it just wait until I'm done?  I could just set up a new Game too with 2.5 and 1.0, as I'm not limited on space.
    The question you need to answer for yourself is whether there is something in patch 2.5 that you think you need urgently. It is a bugfix patch and does not add content at all (except some translations) and EET RC10 only brings EET up to the new baseline but really does not change anything.
  • edited August 2018
    I have done countless EET installations during the last week with any variations of mod compilations.
    The combination of
    - EET new version 1.0 RC10
    - BG2EE v2.5.16
    - BGEE/SoD v2.3.67.3
    works flawless when using the Install Tool.

    Any GUI issues are solved as well - just do not use the EET_GUI itself yet as it is still SoD 2.3 based.

    Depending on the number of mods selected, even large compilations are installed in max 6 hours thanks to the SCS install optimization. I have received many reports from other users which confirm those results.

    In summary, there is no evidence that patch 2.5 has negative impact on EET. On the other hand, there is no need to rush for it, especially if you are in an ongoing game.

    (Note - I have not attempted manual installations or use of BWS, so I cannot comment on those options. In addition, I cannot provide insight for non-windows users.)
  • I just did a clean install with EET and Beamdog versions BG2EE (2.5) and BGEE/SOD (2.3).  I imported the "EET_Explore the EET World.ini" compilation.  I perhaps unwisely decided not to deactivate anti-virus so that is perhaps a big caveat. 

    Malwarebytes blocked "setup_faiths_and_powers.exe" as ransomeware which I suspect is a false alarm and is probably the reason for this problem:
    Installing [install Sphere System] [0.74.33]
    ERROR Installing [install Sphere System], rolling back to previous stateERROR: Sys_error("Bad file descriptor")ERROR: problem parsing TP file [FAITHS_AND_POWERS/FAITHS_AND_POWERS.TP2]: Sys_error("Bad file descriptor")
    FATAL ERROR: Sys_error("Bad file descriptor")Fatal error: exception Sys_error("Bad file descriptor")

    It may also be the cause of this later problem, but this I wasn't sure of:
    Installing [Grant large, flying, non-solid or similar creatures protection from Web and Entangle] [v30 BWP fix + K4thos' EET compatibility + patch25]
    Failure Failure("SSHAMB.CRE: read out of bounds") in check_standard_function: inputs were func=opcode, arguments=Appending to files ...
    ERROR: Failure("SSHAMB.CRE: read out of bounds") in apply_standard_function: inputs were func=immunity_to_opcode, arguments=109 157ERROR: [SSHAMB.CRE] -> [override/SSHAMB.CRE] Patching Failed (COPY) (Failure("SSHAMB.CRE: read out of bounds"))Stopping installation because of error.
    Failed to patch SSHAMB.CRE; error message was Failure("SSHAMB.CRE: read out of bounds")
    Failed to patch SSHAMB.CRE; error message was Failure("SSHAMB.CRE: read out of bounds")

  • edited August 2018

    I just did a clean install with EET and Beamdog versions BG2EE (2.5) and BGEE/SOD (2.3).  I imported the "EET_Explore the EET World.ini" compilation.  I perhaps unwisely decided not to deactivate anti-virus so that is perhaps a big caveat. 

    Malwarebytes blocked "setup_faiths_and_powers.exe" as ransomeware which I suspect is a false alarm and is probably the reason for this problem:
    Installing [install Sphere System] [0.74.33]
    ERROR Installing [install Sphere System], rolling back to previous state
    ERROR: Sys_error("Bad file descriptor")
    ERROR: problem parsing TP file [FAITHS_AND_POWERS/FAITHS_AND_POWERS.TP2]: Sys_error("Bad file descriptor")

    FATAL ERROR: Sys_error("Bad file descriptor")
    Fatal error: exception Sys_error("Bad file descriptor")

    It may also be the cause of this later problem, but this I wasn't sure of:
    Installing [Grant large, flying, non-solid or similar creatures protection from Web and Entangle] [v30 BWP fix + K4thos' EET compatibility + patch25]
    Failure Failure("SSHAMB.CRE: read out of bounds") in check_standard_function: inputs were func=opcode, arguments=
    Appending to files ...

    ERROR: Failure("SSHAMB.CRE: read out of bounds") in apply_standard_function: inputs were func=immunity_to_opcode, arguments=109 157
    ERROR: [SSHAMB.CRE] -> [override/SSHAMB.CRE] Patching Failed (COPY) (Failure("SSHAMB.CRE: read out of bounds"))
    Stopping installation because of error.

    Failed to patch SSHAMB.CRE; error message was Failure("SSHAMB.CRE: read out of bounds")

    Failed to patch SSHAMB.CRE; error message was Failure("SSHAMB.CRE: read out of bounds")

    ________________________________________________________________________________
    The first error Sys_error("Bad file descriptor") is most likely like you said caused by some anti-virus blocking access.
    The second one is most likely caused by an earlier component of the mod not correctly installed. Hopefully this will be solved when you removed the first problem.

    PS - the second error is a component in stratagems.
  • edited August 2018
    I just made a quick test installation with the EET Install Tool and the mods involved in your error (EET; F&P; SCS) and it went smooth without issues. Hope you get lucky next time.

    You did not mention it in your post but I assume you use the Install Tool to enable the necessary patches for BG2EE v2.5, right?

  • edited August 2018
    I just did a clean install with EET and Beamdog versions BG2EE (2.5) and BGEE/SOD (2.3).  I imported the "EET_Explore the EET World.ini" compilation.
    I used the very same setup for an installation test. The whole process took 4 hours to complete (another validation of the revised SCS approach in Install Tool) and went without any errors. Minor issue at the beginning that I had to add the new extra NTotSC component to the compilation. This is now updated in the tool.
  • edited August 2018
    I did that compilation + Spell Revisions + Item Revisions + Might and Guile + Deities of Faerun + Tome and Blood + Scales of Balance and a ton of other stuff with no serious issues, and a few super small issues.

    - Almateria's(SP) Restoration Project throws an warning during the EET fixpack asking if you're sure you want to apply a patch for ARPv8-2-9.zip as if it's the wrong file even if using the most current update. Just hit 'Y' and it works fine.

    = Chattyimoen is looking for the wrong .zip file. If you have the most current version you just provide the correct zip for BWS and it works fine.

    - Tome and Blood 'Spell Tweaks' component still has a small hickup with Spell Revisions. I'm unsure what the exact issue is, but it is solved simply enough by copying SPIN920.SPL from Spell Revision's backup, pasting it in override, and hitting 'r' in BWS.

    Everything else seems to be working fine for me besides an issue I'm struggling to resolve between NPC_EE and Shadow Magic. Everything I've tested in game seems to be just right.

    Super Kudos to Roxanne for keeping this beast of a mod program ship shape during the update/endless downtime of other forums!



  • edited August 2018

    I looked into the issues reported above
    - Almateria patch works fine for me
    - chatty Imoen >>> I am using a more reliable link now
    - Tome and Blood >>> all components install without issue together with all components from spell revision. I have tried those in various combinations with other critical mods and always succeed.

    I did not look into the NPC_EE issue as this seems to be a moving target still.

  • @Roxanne
    I repeated my install from scratch on clean BGEE/SOD (2.3) and BG2EE (2.5) and I still have this error:
    Failure Failure("SSHAMB.CRE: read out of bounds") in check_standard_function: inputs were func=opcode, arguments=Appending to files ...
    ERROR: Failure("SSHAMB.CRE: read out of bounds") in apply_standard_function: inputs were func=immunity_to_opcode, arguments=109 157ERROR: [SSHAMB.CRE] -> [override/SSHAMB.CRE] Patching Failed (COPY) (Failure("SSHAMB.CRE: read out of bounds"))Stopping installation because of error.
    Failed to patch SSHAMB.CRE; error message was Failure("SSHAMB.CRE: read out of bounds")
    Failed to patch SSHAMB.CRE; error message was Failure("SSHAMB.CRE: read out of bounds")

    Um, I'm not sure what you mean by this.  Are there specific mods that do this or is there some setting?
    You did not mention it in your post but I assume you use the Install Tool to enable the necessary patches for BG2EE v2.5, right?

  • edited August 2018

    I made some further research on the above problem. The file is created by F&P. I could not find any other mod that ever touches the SShamb.cre except for strategems (SCS) itself. It is first tweaked by the main component 1000 and afterwards by 4010.
    Running this through various tests always was successful for me if I used the EE Install Tool for BG2EE v2.5. Without using the tool, SCS would fail anyway on 2.5.

    The error appears in my debug log just like you have it - but it does not prevent the installation for me. I can still install both mods and components.

    I suggest to try this solution
    1. Extract the attached file into BG2EE/stratagems overwriting the existing one.
    2. Run component 4010 again



  • @Roxanne - The Beamdog forums suggest it is an issue with Ascension? I'm not sure how.

    https://forums.beamdog.com/discussion/71686/error-failure-spin920-spl-read-out-of-bounds

    Here is the warning I get.

    NOT INSTALLED DUE TO ERRORS Spell Tweaks: Revised Invisibility

    C:\Users\Doombox\Desktop\Baldur's Gate Trilogy\Baldur's Gate II Enhanced Edition>
    Metamagic (Tome and Blood) was installed successfully.

    ERROR: [SPIN920.SPL] -> [override/SPIN920.SPL] Patching Failed (COPY) (Failure("INSERT_BYTES out of bounds"))
    ERROR: Failure("INSERT_BYTES out of bounds")

    I fix it by copying the spell from Spell Revisions backup and it works fine.

  • @Roxanne - The Beamdog forums suggest it is an issue with Ascension? I'm not sure how.

    https://forums.beamdog.com/discussion/71686/error-failure-spin920-spl-read-out-of-bounds

    Here is the warning I get.

    NOT INSTALLED DUE TO ERRORS Spell Tweaks: Revised Invisibility

    C:\Users\Doombox\Desktop\Baldur's Gate Trilogy\Baldur's Gate II Enhanced Edition>
    Metamagic (Tome and Blood) was installed successfully.

    ERROR: [SPIN920.SPL] -> [override/SPIN920.SPL] Patching Failed (COPY) (Failure("INSERT_BYTES out of bounds"))
    ERROR: Failure("INSERT_BYTES out of bounds")

    I fix it by copying the spell from Spell Revisions backup and it works fine.
    Ascension?
    There is no evidence to that at all. And that whole discussion is about Mac installations in the first place.
    I doubt that until proven.
  • edited August 2018
    The mac stuff is why I was so confused, but it is the same issue described in there. I'm unsure what the issue is, but I get that error consistently.

    Edit - This post from Swift is what I was talking about, not the MAC  or Ascension stuff. It appears to be a 2.5 issue actually. Sorry, was too busy to organize my thoughts well enought.

    "From what I see SPIN920 (Minor Spell Turning) is a spell changed by patch 2.5 and @shylaman installed several tweak mods that may have affected this spell. In different topic you've mentioned something about outdated detectable spells implementation in several mods, so maybe that is what is causing trouble here?

    edit: looks like those tweak mods are actually later in install order. In such case maybe Big World Fixpack (if you used it) causes trouble. Or maybe Ascension messes up with spells (not sure if it uses detectable spells). Just a guess, no idea really. SR works fine without other mods in my EET installation though (on top of BG2:EE with patch v2.5.16.6)"
  • @Roxanne
    Thank you, yes I should have mentioned that the install was successful.  On scanning the debug output the "SSHAMB.CRE" error is the only error that I've found but it does not stop the installation.  I was more wondering if I had to do anything to fix this.

    Wish I knew how to browse the scripting a bit better.  I'm familiar with TP2 scripting from long ago, but I haven't kept up with it and I'm not sure where to search for things.
  • Where do the new portraits come from?  Jaheira's portrait looks like the alternate Faldorn from the "BG1 NPC Portrait Pack"
  • Deleting and redownloading Almateria's Restoration Project fixed the issue for whatever reason.

    I'm also curious where the portraits come from, they're the best I've seen for BG.

  • @Roxanne
    Thank you, yes I should have mentioned that the install was successful.  On scanning the debug output the "SSHAMB.CRE" error is the only error that I've found but it does not stop the installation.  I was more wondering if I had to do anything to fix this.

    Wish I knew how to browse the scripting a bit better.  I'm familiar with TP2 scripting from long ago, but I haven't kept up with it and I'm not sure where to search for things.
    Understood. The consequence of this error is that this single creature is not changed by the SCS function. It is a Shambling Mount that can be summoned by some of the kits in F&P. It may very well be that you never encounter this in game or notice it if it appears - at least it is not a game breaking issue.
    From Install Tool perspective, there is nothing to do here. I would assume the it will be fixed in an update of F&P since the mod is actively maintained.
  • edit: looks like those tweak mods are actually later in install order. In such case maybe Big World Fixpack (if you used it) causes trouble. Or maybe Ascension messes up with spells (not sure if it uses detectable spells). Just a guess, no idea really. SR works fine without other mods in my EET installation though (on top of BG2:EE with patch v2.5.16.6)"
    I misunderstood your earlier post probably.
    Just to make clear - you still have an issue with SR and SPIN920.spl under specific circumstances, right?
    EET Install Tool covers those cases with patch 2.5 spells that I have encountered myself or seen reported. Yours may be one I missed until now.
    Can you provide which component in SR causes your issue? The solution to move a workable version of the spell to override prior to that step (which is what you did) can just be automated to avoid the error.
  • Yes, I've still got some strange issue going on with SPN920 that appear under different circumstances.

    I believe it is the Revised Invisibility that is tripping it up but I'll have to go through my weidu log when I'm home to check for sure.
  • I'm also curious where the portraits come from, they're the best I've seen for BG.
    The ones I have look a little strange.  Jaheira does not look like a half-elf and Imoen looks a little too glamorous.

    Jaheira:


    Imoen:


    I'm trying to decide if I like the chatty Imoen mod.
  • BTW, have you guys noticed that the console seems to keep scrolling to the top?  I have to scroll down to see what the last message was.  It's a bit annoying...
  • 1. The install tool does not change portraits nor does EET, but the choice of a single portrait for the continuous NPCs is in several mods, so you can select from various options.
    2. The GUI issue has been discussed in various threads already. For EET (when you have BG2EE at v2.5 and BGEE/SoD at v 2.3) you either use the default GUI or one of Lefreuts mods, otherwise you get the scrolling issue. The EET_SoD GUI has this glitch because SoD is still at 2.3.
  • Portraits are easy to change:
    For Imoen it's Nimoens and Nimoenm
    Jaheira is NJaheirs and NJaheirm
    Now whatever portrait bmp file with those names you place into your override folder you'll have in game. s is the 54x84 size and m is 169x266.
    You can change that any time in game without new start. Whatever file has those names will be shown in game.
    Just in case some portrait mod has used portrait folder instead of override, if it doesn't work you'll need to place your portrait choices into user/documents/Enhanced Edition Trilogy/portraits just because that folder is higher priority than even override.
  • edited August 2018
    @Roxanne ; @Struwwelpeter - Thank you for the tips and sorry to fill this thread with off topic things.  I saw some pretty entertaining Beamdog threads on portraits with a bunch of great suggestions that I'll root around in.

    What is the best way to get details on the mods I've installed?  I'm having a little trouble decoding the lines in the Compilation .ini files like this:
    jkits=0 1 2
    
    Mercenary=0 1
    
    m7multikit=10 11 13
    BTW, @Roxanne - thank you so much for all you and other members of the team have done to keep this module and related efforts going!  I did small amounts of modding back in the day and it is a delight to see the efforts continuing.

    EDIT: Woops, I think I answered my own question.  Sorry for not doing a tiny bit of digging before asking....  Looks like I can find all the info I could want under EE-Mod-Setup-master/App/Config/  with lots of details in the Global/ sub directory! =)

    EDIT2: Wow, google image search for BG* portraits is awesome!  I'll have some fun making my image pack for EET =D

Sign In or Register to comment.